#!/bin/bash

# curl -XPOST -d '{"type": "m.login.password", "identifier": {"user": "botusername", "type": "m.id.user"}, "password": "passwordforuser"}' "https://home.server/_matrix/client/r0/login"

USER="$1"
PASSWORD="$2"
HOMESERVER="$3"

if [[ -z "$1" ]] || [[ -z "$2" ]] || [[ -z "$3" ]]; then
  echo "Usage: $0 USERNAME PASSWORD HOMESERVER_URL"
  exit 1
fi

STR="{\"type\": \"m.login.password\", \"identifier\": {\"user\": \"$USER\", \"type\": \"m.id.user\"}, \"password\": \"$PASSWORD\"}
curl -XPOST -d "$STR" "$HOMESERVER/_matrix/client/r0/login" | sed 's/,/,\n/g'
printf "\n"